List group members
GET
/groups/{id}/members
const url = 'https://app.whatsetter.com/api/v1/groups/example/members?status=active&limit=25';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://app.whatsetter.com/api/v1/groups/example/members?status=active&limit=25' \ --header 'Authorization: Bearer <token>'Participants of one group (phone, display name, role, whether they
are still in the group), most recently added first. Filter
status=active or status=left. Requires scope groups:read.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Query Parameters
Section titled “Query Parameters”status
string
limit
integer
cursor
string
Opaque cursor from the previous page’s pagination.next_cursor.
Responses
Section titled “Responses”Page of members
Media typeapplication/json
object
data
Array<object>
object
id
string
phone
International digits, e.g. 33612345678.
string | null
name
WhatsApp display name, when known.
string | null
role
string
status
left once the member is no longer in the group.
string
joined_at
string | null format: date-time
left_at
string | null format: date-time
joined_source
How the join date was established (e.g. initial_sync, event).
string | null
messages_count
integer
pagination
object
has_more
boolean
next_cursor
string | null
Example
{ "data": [ { "role": "superadmin", "status": "active" } ]}Missing, unknown or revoked API key
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}Resource not found in this workspace
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}Invalid parameter or body (also an invalid or expired cursor)
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}
